import { __decorate } from 'tslib';
import { Component, Input, NgModule } from '@angular/core';
import { Router } from '@angular/router';
import { CommonModule } from '@angular/common';

// =============================================================================
// Config
// =============================================================================
var NgxOvHighlightListComponent = /** @class */ (function () {
    // =============================================================================
    // Definition
    // =============================================================================
    function NgxOvHighlightListComponent() {
    }
    NgxOvHighlightListComponent = __decorate([
        Component({
            selector: 'ngx-ov-highlight-list',
            template: "<div class=\"l-section l-section--dark\">\r\n  <div class=\"l-container:12/12 l-container--with-default-spacing\">\r\n    <div class=\"highlight-list__container\">\r\n      <ng-content></ng-content>\r\n    </div>\r\n  </div>\r\n</div>\r\n"
        })
        // =============================================================================
        // Definition
        // =============================================================================
    ], NgxOvHighlightListComponent);
    return NgxOvHighlightListComponent;
}());

// =============================================================================
// Config
// =============================================================================
var NgxOvHighlightItemComponent = /** @class */ (function () {
    // -------------------------------------------------------------------------
    // Constructor
    // -------------------------------------------------------------------------
    function NgxOvHighlightItemComponent(router) {
        this.router = router;
        this.link = '/';
    }
    NgxOvHighlightItemComponent.prototype.onNavigate = function () {
        this.router.navigate([this.link]);
    };
    NgxOvHighlightItemComponent.ctorParameters = function () { return [
        { type: Router }
    ]; };
    __decorate([
        Input()
    ], NgxOvHighlightItemComponent.prototype, "icon", void 0);
    __decorate([
        Input()
    ], NgxOvHighlightItemComponent.prototype, "title", void 0);
    __decorate([
        Input()
    ], NgxOvHighlightItemComponent.prototype, "info", void 0);
    __decorate([
        Input()
    ], NgxOvHighlightItemComponent.prototype, "link", void 0);
    __decorate([
        Input()
    ], NgxOvHighlightItemComponent.prototype, "showSeparator", void 0);
    NgxOvHighlightItemComponent = __decorate([
        Component({
            selector: 'ngx-ov-highlight-item',
            template: "<div\r\n  class=\"u-padding-top:xlarge highlight-item__container\"\r\n  (click)=\"onNavigate()\"\r\n>\r\n  <div *ngIf=\"icon\" class=\"u-display:none@to:tablet u-margin-top:0\">\r\n    <span\r\n      class=\"{{ icon }} highlight-item__icon-xl u-margin-bottom:large\"\r\n    ></span>\r\n  </div>\r\n\r\n  <h3 class=\"highlight-item__title\" [innerText]=\"title\"></h3>\r\n\r\n  <p class=\"u-padding-bottom:xlarge\" [innerText]=\"info\"></p>\r\n\r\n  <div\r\n    *ngIf=\"showSeparator\"\r\n    class=\"l-section--underlined-white u-display:none@at:tablet\"\r\n  ></div>\r\n</div>\r\n"
        })
        // =============================================================================
        // Definition
        // =============================================================================
    ], NgxOvHighlightItemComponent);
    return NgxOvHighlightItemComponent;
}());

var HighlightModule = /** @class */ (function () {
    function HighlightModule() {
    }
    HighlightModule = __decorate([
        NgModule({
            declarations: [
                NgxOvHighlightListComponent,
                NgxOvHighlightItemComponent
            ],
            imports: [
                CommonModule
            ],
            exports: [
                NgxOvHighlightListComponent,
                NgxOvHighlightItemComponent
            ]
        })
    ], HighlightModule);
    return HighlightModule;
}());

/*
 * Public API Surface of highlight
 */

/**
 * Generated bundle index. Do not edit.
 */

export { HighlightModule, NgxOvHighlightListComponent as ɵa, NgxOvHighlightItemComponent as ɵb };
//# sourceMappingURL=ngx-ov-ui-poc-highlight.js.map
